Subject: Re: [PATCH net-next 2/2] ne2k: fold drivers/net/Space.c into ne.c

From: Simon Horman <[email-masked]>
Date: Fri, 1 May 2026 15:23:09 +0100

On Wed, Apr 29, 2026 at 04:55:46PM +0200, Arnd Bergmann wrote:
> From: Arnd Bergmann <[email-masked]>
> 
> drivers/net/Space.c is the last remnant of the linux-2.4.x driver model
> that required each subsystem and device driver init function to be called
> from init/main.c explicitly, before the introduction of initcall levels.
> 
> In linux-7.0, this was only used for a handful of ISA network drivers,
> with the ne2000 driver being the last one.
> 
> Fold the code into ne.c directly, with minimal changes to preserve
> the existing command line parsing.
> 
> Signed-off-by: Arnd Bergmann <[email-masked]>

Thanks Arnd,

FTR, that there is an AI generated review of this patch available on
sashkio.dev. I believe that covers only pre-existing issues. And I do not
believe that review should block progress of this patch.

Reviewed-by: Simon Horman <[email-masked]>

...